"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* jscpd:ignore-start */
const SecretsStorageSingleton_1 = require("../../../cache/secrets/SecretsStorageSingleton");
const logger_1 = require("../../../logger");
const handler_1 = require("../../handler");
const cache_1 = require("../../handler/authentication/oauth/secretsProvider/cache");
/* jscpd:ignore-end */
const showSecrets = async () => async () => {
    const { output, error } = (0, logger_1.get)("commands.secrets-show");
    try {
        const secrets = await SecretsStorageSingleton_1.SecretsStorageSingleton.SINGLETON.getAllSecrets();
        if (secrets.length === 0) {
            output("No secrets exist");
        }
        else {
            output(JSON.stringify(secrets, null, 2));
        }
    }
    catch (err) {
        error("failed to read secrets", err);
        output("No secrets exist");
        throw new Error("failed to read secrets");
    }
};
const showCommand = {
    type: "command",
    command: "show",
    description: "display locally stored secrets for interactive OAuth authentication",
    handler: (0, handler_1.createNextHandler)("commands.config.secrets.show", (0, handler_1.createParseArgumentsHandler)(), (0, handler_1.createResilientHandler)((0, cache_1.create)()), showSecrets),
};
exports.default = showCommand;
