"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const next_1 = require("../../next");
const fail_1 = require("../../fail");
const error_1 = require("../../error");
const secretsProvider_1 = require("./secretsProvider");
const tokenProvider_1 = require("./tokenProvider");
const checkOptionsExistence_1 = require("../../checkOptionsExistence");
const constants_1 = require("../../../../constants");
const core_1 = require("../../../../config/core");
const create = () => {
    if ((0, core_1.getAuthenticationMethods)().includes(constants_1.AuthenticationMethod.oauth)) {
        return (0, error_1.create)("failed to handle OAuth authorization", (0, next_1.create)("commands.handler.authentication.oauth", (0, checkOptionsExistence_1.create)(constants_1.OPTION_PASSCODE), (0, secretsProvider_1.create)(), (0, tokenProvider_1.create)()));
    }
    return (0, fail_1.create)();
};
exports.create = create;
