import { Command, Discovery, Handler, In, JSONReference, JSONSchema, Operation, Option, ParameterMappings, Parameters, ResponsePostProcessor } from "../../types";
type ExtendedType = {
    allowEmptyValue?: boolean;
    required?: boolean;
};
export declare const updatePath: (doc: Discovery, path: string) => string;
export declare const isPathParameter: (segment: string) => boolean;
export declare const writeParameter: (parameter: string, value: string) => string;
export declare const getSegments: (value: string) => Array<string>;
export declare const handleReadPathHandler: (doc: Discovery, operation: Operation) => ResponsePostProcessor;
export declare const getDescriptionForCommand: (command: Command, operation: Operation) => string;
export declare const getSchema: <T>(obj: JSONReference | T, doc: Discovery) => T;
export declare const addOptionToCommand: (option: Option, options: Array<Option>) => void;
export declare const buildOptionFromType: (commandName: string, doc: Discovery, parameterIn: In, name: string, type: JSONSchema & ExtendedType, parameterMappings: ParameterMappings, options: Array<Option>, description?: string) => void;
export declare const handleRequestBody: (operation: Operation, handler: Array<Handler>, doc: Discovery, parameterMappings: ParameterMappings, command: Command) => void;
export declare const handleForceOption: (operation: Operation, handler: Array<Handler>) => void;
export declare const handleResponses: (operation: Operation, command: Command) => void;
export declare const handleParameters: (operation: Operation, doc: Discovery, parameterMappings: ParameterMappings, command: Command, topLevelParameters?: Parameters) => void;
export declare const handleDeprecationNotice: (operation: Operation, command: Command) => void;
export {};
